Bug 148610 - Submitting fix for math/emc2 port (size mismatch)
Summary: Submitting fix for math/emc2 port (size mismatch)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-15 01:40 UTC by Jesse
Modified: 2010-09-04 16:24 UTC (History)
0 users

See Also:


Attachments
file.shar (5.89 KB, text/plain)
2010-07-15 01:40 UTC, Jesse
no flags Details
diff_for_emc.patch (2.39 KB, patch)
2010-07-15 15:26 UTC, Jesse
no flags Details | Diff
patch-makefile (302 bytes, text/x-patch)
2010-07-15 15:26 UTC, Jesse
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse 2010-07-15 01:40:02 UTC
The math/emc2 port is broken with a size mismatch error. The attached "shar" output is from a corrected version of the emc2 port. It fixes the size mismatch error and also adds a patch to fix a compile error in the upstream package.

Fix: The port's makefile has been updated and a patch has been added, fixing the port's compiler error. Please see attached.

Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/math/emc2
make install

The build immediately exits with a size mismatch error.
Comment 1 Sahil Tandon freebsd_committer 2010-07-15 02:31:55 UTC
Please send a unified diff instead of a shar.  See section 4.3 of the
following article:

http://www.freebsd.org/doc/en_US.ISO8859-1/articles/problem-reports/article.html
Comment 2 Jesse 2010-07-15 15:26:26 UTC
Please find attached a diff for my changes to the math/emc2 port. The
diff was created with "diff -ur".

I'm also attaching my "patch-makefile" which should be placed in emc2's
patch "files" directory. The patch fixes a compiler error in the
upstream package.

- Jesse



-----Original Message-----
From: Sahil Tandon <sahil@FreeBSD.org>
Reply-to: Sahil Tandon <sahil@FreeBSD.org>
To: Jesse Smith <jessefrgsmith@yahoo.ca>
Cc: bug-followup@FreeBSD.org
Subject: Re: ports/148610: Submitting fix for math/emc2 port (size
mismatch)
Date: Wed, 14 Jul 2010 21:31:55 -0400

Please send a unified diff instead of a shar.  See section 4.3 of the
following article:

http://www.freebsd.org/doc/en_US.ISO8859-1/articles/problem-reports/article.html
Comment 3 Brendan Fabeny freebsd_committer 2010-08-21 17:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 4 dfilter service freebsd_committer 2010-09-04 13:24:28 UTC
bf          2010-09-04 12:24:10 UTC

  FreeBSD ports repository

  Modified files:
    math/emc2            Makefile distinfo pkg-descr 
  Added files:
    math/emc2/files      patch-f3d__u_hp700__prettydate.c 
                         patch-f3d__u_hp700__prettytime.c 
                         patch-libI77__lread.c patch-libemc2_1.c 
  Removed files:
    math/emc2            pkg-plist 
  Log:
  -fix website and distfile information
  -update to 2.16c
  -clean up Makefile and pkg-descr
  -add license information
  -add a few minor patches
  
  (Note: This port needs more work.)
  
  PR:             148610
  Approved by:    makc (co-mentor)
  
  Revision  Changes    Path
  1.10      +27 -18    ports/math/emc2/Makefile
  1.5       +9 -9      ports/math/emc2/distinfo
  1.1       +19 -0     ports/math/emc2/files/patch-f3d__u_hp700__prettydate.c (new)
  1.1       +19 -0     ports/math/emc2/files/patch-f3d__u_hp700__prettytime.c (new)
  1.1       +29 -0     ports/math/emc2/files/patch-libI77__lread.c (new)
  1.1       +11 -0     ports/math/emc2/files/patch-libemc2_1.c (new)
  1.4       +8 -11     ports/math/emc2/pkg-descr
  1.4       +0 -21     ports/math/emc2/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Brendan Fabeny freebsd_committer 2010-09-04 16:24:15 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!